/*	eeprom.h
*
*	EEPROM reading and writing.
*
*	Revisions:
*		07-05-06	version 1 in master library
*
*	Written by Cathy Saxton
*	robotics@idleloop.com
*/

#pragma once

class EEPROM
{
public:
	/* write byte "b" at eeprom address "e" */
	void Write(ushort e, uchar b) const;

	/* write "cb" bytes pointed to by "pab" starting at
	   eeprom address "e" */
	void WriteAb(ushort e, const void *pab, uchar cb) const;

	/* read and return the byte at eeprom address "e" */
	uchar Read(ushort e) const;

	/* read "cb" bytes starting at eeprom address "e",
	   storing them in the memory pointed to by "pab";
	   note that it is assumed that "pab" is large enough! */
	void ReadAb(ushort e, void *pab, uchar cb) const;
//private:
};
