@echo off
setlocal

if *%1 == * goto LUsage

rem check for suffix
if *%~x1 == * (set mapfile=%1.bin) else (set mapfile=%1)

if *%2 == * (set port=2) else (set port=%2)

set cmd=avrdude -p m8 -P com%port% -c avrisp -U eeprom:w:%mapfile%:r

@echo.
@echo Downloading color map %mapfile% to EEPROM via AVRISP on port COM%port%
@echo (%cmd%)
@echo.
%cmd%

goto LEnd

:LUsage
@echo.
@echo    AVRcam Color Map Downloader
@echo.
@echo    Usage: dlmap colormap [COMport]
@echo    Where:
@echo       colormap  is the (binary) file to download
@echo                    (.bin assumed if no suffix specified)
@echo       COMport   (optional) is the number of the COM port with the AVRISP
@echo                    (COM2 used if not specified)
@echo    Examples:
@echo       dlmap YG.bin 1     -- downloads YG.bin via COM1
@echo       dlmap POYG         -- downloads POYG.bin via COM2
@echo.

:LEnd
