/*	Config.h
*
*	Application-specific configurations.
*
*	NOTE:
*	This file is included by the library code. Do not rename it!
*
*	Revisions:
*		10-16-06	DEBUG_ updates (from library change)
*		04-18-07	AVRcam defines
*
*	Written by Cathy Saxton
*	robotics@idleloop.com
*/

#pragma once

/*
*	Resource Selection
*
*	These definitions select the resources (and timing) to be used
*	by the corresponding features (Timer, Motor, etc).
*
*	See individual class files (.h or .cpp) for details.
*/
#define CLOCK_16M		// uC clock at 16 MHz
#define COMM_1_115k		// USART1, 115.2k baud (8-N-1)
#define TIMER_0			// Timer using Timer/Counter 0
#define SERVO_1			// Servo using Timer/Counter 1

/*
*	EEPROM storage
*
*	Add values to this list for parameters stored in EEPROM.
*/
enum	// EEPROM address [e is prefix, like p]
{
	eNil = 0xffff,
};

/*
*	AVRcam
*
*	serial port, timer, diagnostic LEDs
*/
#define CAM_COMM g_comm
#define CAM_COMM_TYPE COMM
#define CAM_TIMER g_timer
//#define CAM_LED_TX_ACK		g_ledL
#define CAM_LED_TX_TIMEOUT	g_ledL
//#define CAM_LED_RX_TRACKING_DATA g_led
