/*	Globals.h
*
*	Includes and globals.
*
*	Revisions:
*		10-16-06	LDC8 instead of LCD (from library change)
*
*	Written by Cathy Saxton
*	robotics@idleloop.com
*/

#pragma once

#include <avr/io.h>
#include "Util.h"
#include "Debug.h"
#include "Timer.h"
#include "EEPROM.h"
#include "Comm.h"
#include "InOut.h"
#include "Servo.h"
#include "AVRcam.h"

extern TIMER g_timer;
extern EEPROM g_eeprom;
extern COMM g_comm;

extern IN g_dip1;
extern IN g_dip2;
extern IN g_dip3;
extern IN g_dip4;

extern IN g_bumpL;
extern IN g_bumpR;

extern OUT g_ledL;
extern OUT g_ledR;

extern SERVO g_driveL;
extern SERVO g_driveR;
extern SERVO g_pickup;

extern AVRCAM g_cam;	// note: this is defined in main.cpp (not globals.cpp)

extern char g_szBuf[17];
